> For the complete documentation index, see [llms.txt](https://docs.360dialog.com/docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.360dialog.com/docs/mba/api-ref/onboarding/delete-the-agent.md).

# Delete the agent

Remove the Meta Business agent from the WhatsApp phone number. Deletes the agent configuration and, when the last agent on the account is removed, disconnects the integration.

```json
{"openapi":"3.1.0","info":{"title":"Business Agent API","version":"1.49.2"},"tags":[{"name":"Onboarding","description":"Endpoints for onboarding a Business Agent and managing its allowlist and settings"}],"servers":[{"description":"Production server","url":"https://waba-v2.360dialog.io"}],"security":[{"D360-API-KEY":[]}],"components":{"securitySchemes":{"D360-API-KEY":{"description":"API Key for Messaging API authentication. Send your API key in the D360-API-KEY header.","in":"header","name":"D360-API-KEY","type":"apiKey"}},"schemas":{"onboard.BizAIOmniChannelDeleteAgentResponse":{"description":"Result of removing the Meta Business agent from the phone number","properties":{"deleted_agent_id":{"type":"string"}},"type":"object"},"onboard.StandardError":{"description":"Standard error response for Meta Business Agent endpoints","properties":{"detail":{"type":"string"},"status":{"type":"integer"},"title":{"type":"string"},"type":{"type":"string"}},"type":"object"}}},"paths":{"/delete_agent":{"delete":{"description":"Remove the Meta Business agent from the WhatsApp phone number. Deletes the agent configuration and, when the last agent on the account is removed, disconnects the integration.","operationId":"delete-agent","parameters":[{"description":"Meta Business Agent API version","in":"header","name":"X-API-Version","schema":{"enum":["2.0.0"],"type":"string"}}],"responses":{"200":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/onboard.BizAIOmniChannelDeleteAgentResponse"}}},"description":"The agent was removed, or there was nothing to remove"},"400":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/onboard.StandardError"}}},"description":"Bad request"},"401":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/onboard.StandardError"}}},"description":"Unauthorized"},"403":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/onboard.StandardError"}}},"description":"Forbidden"},"429":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/onboard.StandardError"}}},"description":"Too many requests"},"500":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/onboard.StandardError"}}},"description":"Server error"}},"summary":"Delete the agent","tags":["Onboarding"]}}}}
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.360dialog.com/docs/mba/api-ref/onboarding/delete-the-agent.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
